# Send data to the actionbar

execute if score #forest_custom_themes value matches 1 run title @a[scores={arena=1}] actionbar [{"text":"Write a theme in your book and drop it.","color":"green"}]







# Count players

execute store result score #forest_player_count value if entity @a[scores={arena=1},tag=!spectator]







# Manage timer

scoreboard players remove #forest_timer value 1
scoreboard players operation #seconds value = #forest_timer value
scoreboard players add #seconds value 19
scoreboard players operation #seconds value /= #20 value
scoreboard players operation #minutes value = #seconds value
scoreboard players operation #minutes value /= #60 value
scoreboard players operation #seconds value %= #60 value
execute if score #seconds value matches ..09 run bossbar set build:forest name ["",{"text":"Time remaining: ","color":"green"},{"score":{"name":"#minutes","objective":"value"}},{"text":":0"},{"score":{"name":"#seconds","objective":"value"}}]
execute if score #seconds value matches 10.. run bossbar set build:forest name ["",{"text":"Time remaining: ","color":"green"},{"score":{"name":"#minutes","objective":"value"}},{"text":":" },{"score":{"name":"#seconds","objective":"value"}}]
execute store result bossbar build:forest value run scoreboard players get #forest_timer value







# Put themes from books onto list of themes

execute positioned -576 0 0 as @e[type=item,distance=..32] at @s run function build:phase/forest/1/add_theme







# Make sure everyone has a book

execute as @a[scores={arena=1},tag=!spectator] run function build:generic/theme_book







# Start preparation phase

execute if score #forest_timer value matches ..0 run function build:phase/forest/1/end/main







# Cancel if there are too few players

execute if score #forest_teams value matches 0 if score #forest_player_count value matches ..2 run function build:phase/forest/generic/abort
execute if score #forest_teams value matches 1 if score #forest_player_count value matches ..4 run function build:phase/forest/generic/abort